import React, { PropsWithChildren } from 'react';
import 'jb-checkbox';
import { JBCheckboxWebComponent, ValidationValue } from 'jb-checkbox';
import { type ValidationItem } from 'jb-validation';
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'jb-checkbox': JBSwitchType;
        }
        interface JBSwitchType extends React.DetailedHTMLProps<React.HTMLAttributes<JBCheckboxWebComponent>, JBCheckboxWebComponent> {
            class?: string;
            name?: string;
            "label"?: string;
        }
    }
}
export type JBCheckboxEventType<T> = T & {
    target: JBCheckboxWebComponent;
};
type JBCheckboxProps = {
    style?: string;
    name?: string;
    className?: string;
    onChange?: (e: JBCheckboxEventType<Event>) => void | null | undefined;
    value?: boolean | null | undefined;
    label?: string | null | undefined;
    validationList?: ValidationItem<ValidationValue>[] | null;
    disabled?: boolean;
};
export type Props = PropsWithChildren<JBCheckboxProps>;
export declare const JBCheckbox: React.ForwardRefExoticComponent<JBCheckboxProps & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>>;
export {};
